Up

# NSTextField

### Authors

Scott Christley (`scottc@net-community.com`)
Felipe A. Rodriguez (`far@ix.netcom.com`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> Text field control class for text entry

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSTextField class

## NSTextField : NSControl

> Declared in:
>   AppKit/NSTextField.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -acceptsFirstResponder
- -allowsEditingTextAttributes
- -backgroundColor
- -delegate
- -drawsBackground
- -errorAction
- -importsGraphics
- -isBezeled
- -isBordered
- -isEditable
- -isSelectable
- -nextText
- -previousText
- -selectText:
- -setAllowsEditingTextAttributes:
- -setBackgroundColor:
- -setBezeled:
- -setBordered:
- -setDelegate:
- -setDrawsBackground:
- -setEditable:
- -setErrorAction:
- -setImportsGraphics:
- -setNextText:
- -setPreviousText:
- -setSelectable:
- -setTextColor:
- -setTitleWithMnemonic:
- -textColor
- -textDidBeginEditing:
- -textDidChange:
- -textDidEndEditing:
- -textShouldBeginEditing:
- -textShouldEndEditing:

### acceptsFirstResponder

- (BOOL) acceptsFirstResponder;

Description forthcoming.

### allowsEditingTextAttributes

- (BOOL) allowsEditingTextAttributes;

Description forthcoming.

### backgroundColor

- (NSColor*) backgroundColor;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### drawsBackground

- (BOOL) drawsBackground;

Description forthcoming.

### errorAction

- (SEL) errorAction;

Description forthcoming.

### importsGraphics

- (BOOL) importsGraphics;

Description forthcoming.

### isBezeled

- (BOOL) isBezeled;

Description forthcoming.

### isBordered

- (BOOL) isBordered;

Description forthcoming.

### isEditable

- (BOOL) isEditable;

Description forthcoming.

### isSelectable

- (BOOL) isSelectable;

Description forthcoming.

### nextText

- (id) nextText;

Description forthcoming.

### previousText

- (id) previousText;

Description forthcoming.

### selectText:

- (void) selectText: (id)sender;

Description forthcoming.

### setAllowsEditingTextAttributes:

- (void) setAllowsEditingTextAttributes: (BOOL)flag;

Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;

Description forthcoming.

### setBezeled:

- (void) setBezeled: (BOOL)flag;

Description forthcoming.

### setBordered:

- (void) setBordered: (BOOL)flag;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;

Description forthcoming.

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;

Description forthcoming.

### setEditable:

- (void) setEditable: (BOOL)flag;

Description forthcoming.

### setErrorAction:

- (void) setErrorAction: (SEL)aSelector;

Description forthcoming.

### setImportsGraphics:

- (void) setImportsGraphics: (BOOL)flag;

Description forthcoming.

### setNextText:

- (void) setNextText: (id)anObject;

Description forthcoming.

### setPreviousText:

- (void) setPreviousText: (id)anObject;

Description forthcoming.

### setSelectable:

- (void) setSelectable: (BOOL)flag;

Description forthcoming.

### setTextColor:

- (void) setTextColor: (NSColor*)aColor;

Description forthcoming.

### setTitleWithMnemonic:

- (void) setTitleWithMnemonic: (NSString*)aString;

Description forthcoming.

### textColor

- (NSColor*) textColor;

Description forthcoming.

### textDidBeginEditing:

- (void) textDidBeginEditing: (NSNotification*)aNotification;

Description forthcoming.

### textDidChange:

- (void) textDidChange: (NSNotification*)aNotification;

Description forthcoming.

### textDidEndEditing:

- (void) textDidEndEditing: (NSNotification*)aNotification;

Description forthcoming.

### textShouldBeginEditing:

- (BOOL) textShouldBeginEditing: (NSText*)textObject;

Description forthcoming.

### textShouldEndEditing:

- (BOOL) textShouldEndEditing: (NSText*)textObject;

Description forthcoming.

Up